# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(LW2.pm) perl-podlators
# END SourceDeps(oneline)
# %release is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define release 8
# %name or %version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name perl-libwhisker2
%define version 2.5
%define real_name libwhisker2
Name:           perl-%{real_name}
Obsoletes:      perl-libwhisker <= 1.8
Provides:       perl-libwhisker = %{version}-%{release}
Version:        2.5
Release:        alt1_8
Summary:        Perl module geared specifically for HTTP testing
Group:          Development/Perl
License:        BSD
URL:            http://www.wiretrip.net/rfp/lw.asp
Source0:        http://www.wiretrip.net/rfp/libwhisker/%{real_name}-%{version}.tar.gz
#install to vendorlib, not sitelib
Patch0:         %{real_name}-2.4-vendorlib.patch
#include libwhisker1 compatibility bridge
Patch1:         %{real_name}-2.4-lw1bridge.patch
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(Config.pm)
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(Pod/Man.pm)
# Run-time:
BuildRequires:  perl(MIME/Base64.pm)
BuildRequires:  perl(POSIX.pm)
BuildRequires:  perl(Socket.pm)
# Tests:
BuildRequires:  perl(Digest/MD5.pm)
BuildRequires:  perl(IO/Select.pm)
BuildRequires:  perl(IO/Socket.pm)
BuildRequires:  perl(Net/SSLeay.pm)
BuildRequires:  perl(Test/Simple.pm)
# All SSL and network related packages are optional at run time.
Source44: import.info

%description
Libwhisker is a Perl library useful for HTTP testing scripts.  It
contains a pure-Perl implementation of functionality found in the LWP,
URI, Digest::MD5, Digest::MD4, Data::Dumper, Authen::NTLM, HTML::Parser,
HTML::FormParser, CGI::Upload, MIME::Base64, and GetOpt::Std modules.
Libwhisker is designed to be portable (a single perl file), fast (general
benchmarks show libwhisker is faster than LWP), and flexible (great care
was taken to ensure the library does exactly what you want to do, even
if it means breaking the protocol).

%package doc
Summary:        Development documentation for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
Examples how to use LW(2) Perl module.


%prep
%setup -qn %{real_name}-%{version}
%patch0 -p1
%patch1 -p1
mv compat/{lw,LW}.pm
# Fix EOLs
for F in CHANGES KNOWNBUGS LICENSE README docs/* scripts/*; do
    sed -e 's/\r$//' "$F" > "${F}.new"
    touch -r "$F"{,.new}
    mv "$F"{.new,}
done
# Fix interpreter path
for F in scripts/*.pl; do
    sed -e '1 s|^#!perl|#!/usr/bin/perl|' "$F" > "${F}.new"
    chmod a+x "${F}.new"
    touch -r "$F"{,.new}
    mv "$F"{.new,}
done

%build
make %{?_smp_mflags}

%install
# Create directories, not created by Makefile.pl
mkdir -p $RPM_BUILD_ROOT%{perl_vendor_privlib}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3

make install DESTDIR=$RPM_BUILD_ROOT

# Install documentation
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a docs scripts $RPM_BUILD_ROOT%{_datadir}/%{name}

#fix permissions
chmod 0644 $RPM_BUILD_ROOT/%{perl_vendor_privlib}/*

%check
cd t 
perl ./test.pl

%files
%doc CHANGES KNOWNBUGS LICENSE README
%{perl_vendor_privlib}/*

%files doc
%{_datadir}/%{name}

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 2.5-alt1_8
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 2.5-alt1_7
- update to new release by fcimport

* Wed Jun 06 2012 Igor Vlasenko <viy@altlinux.ru> 2.5-alt1_5
- fc import

